Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.mejb
Class MEJBSession

    java.lang.Object
      org.jboss.management.mejb.ManagementBean
          org.jboss.management.mejb.MEJBSession

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, Serializable, javax.ejb.SessionBean

public class MEJBSession
extends ManagementBean
implements javax.ejb.SessionBean

Session layer for MEJB.

See Also:
  Serialized Form

Constructor Summary
`MEJBSession()`

Method Summary
`void` | `ejbActivate()` The activate method is called when the instance is activated from its "passive" state.
`void` | `ejbPassivate()` The passivate method is called before the instance enters the "passive" state.
`void` | `ejbRemove()` A container invokes this method before it ends the life of the session object.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Set the associated session context.
`void` | `unsetSessionContext()`

Methods inherited from class org.jboss.management.mejb.ManagementBean
`addNotificationListener, createMBean, ejbCreate, getAttribute, getAttributes, getDefaultDomain, getListenerRegistry, getMBeanCount, getMBeanInfo, invoke, isRegistered, queryNames, removeNotificationListener, setAttribute, setAttributes, toString, unregisterMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MEJBSession

    public MEJBSession()

Method Detail

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Description copied from class: `ManagementBean`
  The activate method is called when the instance is activated from its "passive" state. The instance should acquire any resource that it has released earlier in the ejbPassivate() method.

  This method is called with no transaction context.

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbActivate` in class `ManagementBean`
  Throws:
    `javax.ejb.EJBException` - Thrown by the method to indicate a failure caused by a system-level error

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Description copied from class: `ManagementBean`
  The passivate method is called before the instance enters the "passive" state. The instance should release any resources that it can re-acquire later in the ejbActivate() method.

  After the passivate method completes, the instance must be in a state that allows the container to use the Java Serialization protocol to externalize and store away the instance's state.

  This method is called with no transaction context.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbPassivate` in class `ManagementBean`
  Throws:
    `javax.ejb.EJBException` - Thrown by the method to indicate a failure caused by a system-level error

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Description copied from class: `ManagementBean`
  Set the associated session context. The container invokes this method on an instance after the instance has been created.

  This method is called with no transaction context.

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `ManagementBean`
  Parameters:
    `ctx` - A SessionContext interface for the instance. The instance should store the reference to the context in an instance variable.
  Throws:
    `javax.ejb.EJBException` - Should something go wrong while seting the context, an EJBException will be thrown.

### unsetSessionContext

    public void unsetSessionContext()

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Description copied from class: `ManagementBean`
  A container invokes this method before it ends the life of the session object. This happens as a result of a client's invoking a remove operation, or when a container decides to terminate the session object after a timeout.

  This method is called with no transaction context.

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbRemove` in class `ManagementBean`
  Throws:
    `javax.ejb.EJBException` - Thrown by the method to indicate a failure caused by a system-level error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.